<template>
  <div>
    <div class="flex items-center mb-1">
      <div class="bg-gray-500 rounded-full h-8 w-8" />
      <div class="flex-1 ml-2 sm:ml-4 mb-1 sm:mb-2 font-medium">
        <h3 class="text-lg sm:text-xl md:text-2xl lg:text-3xl mb-2">
          <span class="jobTitle">{{ experience.title }}</span>
          chez
          <span class="company">{{ experience.company }}</span>
        </h3>
        <h4 class="text-md md:text-lg lg:text-xl ">
          <font-awesome-icon :icon="['fas', 'clock']" />
          {{ formatDate(experience.start) }} - {{ formatDate(experience.end) }}
          <font-awesome-icon :icon="['fas', 'location-arrow']" />
          {{ experience.location }}
        </h4>
      </div>
    </div>
    <div class="ml-10 mb-5 sm:mb-10">
      <nuxt-content :document="experience" />
    </div>
  </div>
</template>

<script>
import { formatDate } from '../../../services/utils/DateUtils'

export default {
  props: {
    experience: {
      type: Object,
      default: () => null
    }
  },
  methods: {
    formatDate
  }
}
</script>
